bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From evan...@apache.org
Subject bigtop git commit: BIGTOP-1873. Puppet apt module version must be 2.0.1 or above after BIGTOP-1870
Date Sat, 16 May 2015 05:21:41 GMT
Repository: bigtop
Updated Branches:
  refs/heads/master cc534a138 -> df35b212b


BIGTOP-1873. Puppet apt module version must be 2.0.1 or above after BIGTOP-1870


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/df35b212
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/df35b212
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/df35b212

Branch: refs/heads/master
Commit: df35b212b552e5a0f4bc9c31bbbd216cb580f8fe
Parents: cc534a1
Author: Evans Ye <evansye@apache.org>
Authored: Fri May 15 18:52:00 2015 +0000
Committer: Evans Ye <evansye@apache.org>
Committed: Sat May 16 05:21:08 2015 +0000

----------------------------------------------------------------------
 bigtop-deploy/puppet/README.md | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/df35b212/bigtop-deploy/puppet/README.md
----------------------------------------------------------------------
diff --git a/bigtop-deploy/puppet/README.md b/bigtop-deploy/puppet/README.md
index d3e1a44..634a820 100644
--- a/bigtop-deploy/puppet/README.md
+++ b/bigtop-deploy/puppet/README.md
@@ -105,19 +105,23 @@ directories to use.
 
 ## Usage
 
-- Make sure that the bigtop-deploy directory is available on every node of your cluster,
and then
-- Make sure all required puppet's modules are installed:
+- Make sure that the bigtop-deploy directory is available on every node of your cluster
+- Make sure puppet is installed
+- Make sure all the required puppet modules are installed:
 
-  gradle toolchain-puppetmodules
-
-  or
-
-  puppet apply --modulepath=<path_to_bigtop> -e "include bigtop_toolchain::puppet-modules"
+<pre>
+gradle toolchain-puppetmodules (if you already have JAVA installed)
+or
+puppet apply --modulepath=<path_to_bigtop> -e "include bigtop_toolchain::puppet-modules"
+</pre>
 
-  This will install the following module(s) for you:
+This will install the following module(s) for you:
   * [puppet stdlib module](https://forge.puppetlabs.com/puppetlabs/stdlib)
   * [puppet apt module](https://forge.puppetlabs.com/puppetlabs/apt) on Ubuntu, Debian only
 
+Note that, the puppet apt module version must be equal to or higher than 2.0.1 after BIGTOP-1870.
+Bigtop toolchan can take care of that for you, so just be aware of it.
+
 And run the following on those nodes:
 
 <pre>


Mime
View raw message